/* Actions */
import {
    INIT_PAYMENTS_BANK,
    RESET_BANK
} from '@/constants/actionTypes'
/* Mutations */
import {
    SET_BANK
} from '@/constants/mutationTypes'

const initialState = {
    bank: []
}

const state = {
    bank : initialState.bank
}

const getters = {
    /**
     * [bank description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    bank(state) {
        return state.bank
    }
}

const mutations = {
    /**
     * [bank description]
     * @type {[type]}
     */
    [SET_BANK] (state, payload) {
        state.bank = payload
    }
}
const actions = {
    /**
     * [INIT_PAYMENTS_BANK]
     *
     */
    [INIT_PAYMENTS_BANK] ({ commit }, payload) {
        commit(SET_BANK, payload)
    },
    /**
     * [RESET_BANK]
     */
    [RESET_BANK] ({ commit }, payload) {
        commit(SET_BANK, [])
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
