/* Actions */
import { INIT_PAYMENTS_BANK_TYPE, RESET_BANK_TYPE } from '@/constants/actionTypes'

/* Mutations */
import { SET_BANK_TYPE } from '@/constants/mutationTypes'

const initialState = {
    bankType: []
}

const state = {
    bankType:  initialState.bankType
}

const getters = {
    /**
     * [bankType description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    bankType(state){
        return state.bankType
    }
}

const mutations = {
    /**
     * [bankType description]
     * @type {[type]}
     */
    [SET_BANK_TYPE] (state, payload) {
        state.bankType = payload
    }
}

const actions = {
    /**
     *  [INIT_PAYMENTS_BANK_TYPE]
     *  @type {[type]}
     */
    [INIT_PAYMENTS_BANK_TYPE] ({ commit }, payload ) {
        commit(SET_BANK_TYPE, payload)
    },
    /**
     * [RESET_BANK_TYPE]
     */
    [RESET_BANK_TYPE] ({ commit }, payload) {
        commit(SET_BANK_TYPE, [])
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
